{**********************************************************************
 Package pl_UserControl
 this unit is part of CodeTyphon Studio (http://www.pilotlogic.com/)
***********************************************************************}

unit allusercontrolreg;

interface

uses
  Classes, SysUtils,
  Menus,
  StdCtrls,
  Controls,
  LazarusPackageIntf,
  PropEdits,
  ComponentEditors, LResources,
  TypInfo,
  Variants,
  Dialogs,
  Forms,
  UCBase;

type
  TUCComponentsVarProperty = class(TStringProperty)
    function GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
    function GetValue: String; override;
  end;

  TUCControlsEditor = class(TComponentEditor)
    procedure Edit; override;
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): String; override;
    function GetVerbCount: Integer; override;
  end;

  TUserControlEditor = class(TComponentEditor)
    procedure Edit; override;
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): String; override;
    function GetVerbCount: Integer; override;
  end;

procedure Register;

procedure ShowControlsEditor(Componente: TUCControls);

implementation

{$R allusercontrolreg.res}

uses
  UCIdle,
  UCObjSel_U,
  UCEditorForm_U,
  UCMail,
  UCSettings,
  uczeosconn,
  ucuibconn,
  ucsqldbconn;

procedure Register;
begin
  RegisterComponents('UserControl',
                     [
                       TUserControl,
                       TUCSettings,
                       TUCControls,
                       TUCApplicationMessage,
                       TUCIdle,
                       TMailUserControl,
                       //....
                       TUCSQLdbConn,
                       TUCUIBConn,
                       TUCZEOSConn
                     ]);

  RegisterPropertyEditor(TypeInfo(TUCComponentsVar), TUserControl, 'Components', TUCComponentsVarProperty);
  RegisterComponentEditor(TUCControls, TUCControlsEditor);
  RegisterComponentEditor(TUserControl, TUserControlEditor);
end;

{ TUCComponentsVarProperty }
procedure TUCComponentsVarProperty.Edit;
begin
  ShowControlsEditor(TUCControls(GetComponent(0)));
end;

function TUCComponentsVarProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paDialog, paReadOnly];
end;

function TUCComponentsVarProperty.GetValue: String;
begin
  Result := 'Components...';
end;

procedure ShowControlsEditor(Componente: TUCControls);
var
  FUCControl: TUCControls;
  FEditor: TComponentEditor;
  FModulo: TForm;
//  FFormEditor: IOTAFormEditor;
  I: Integer;
begin
  FUCControl := Componente;
  if not Assigned(FUCControl.UserControl) then
  begin
    MessageDlg('A propriedade UserControl tem que ser informada e o componente '
      + #13 + #10 + 'tem que estar visvel!', mtInformation, [mbOK], 0);
    Exit;
  end;

  with TUCObjSel.Create(nil) do
  begin
    FForm := TCustomForm(FUCControl.Owner);
    FUserControl := FUCControl.UserControl;
    FInitialObjs := TStringList.Create;
    FUCControl.ListComponents(FForm.Name, FInitialObjs);
    // TUCControls(Componente).ListComponents(FForm.Name, FInitialObjs);
    lbGroup.Caption := FUCControl.GroupName;
    // TUCControls(Componente).GroupName;
    ShowModal;
    Free;
  end;

{  try
    FModulo := TForm(FUCControl.UserControl.Owner);
  except
    FModulo := Nil;
  end;

  if FModulo = nil then
  begin
    ShowMessage('Mdulo ' + FUCControl.UserControl.Owner.Name + ' no encontrado!');
    Exit;
  end
  else
    for I := 0 to FModulo.GetModuleFileCount - 1 do
    begin
      FEditor := FModulo.GetModuleFileEditor(I);
      FEditor.QueryInterface(IOTAFormEditor, FFormEditor);
      if FFormEditor <> nil then
      begin
        FFormEditor.MarkModified;
        Break;
      end;
    end;   }
end;


{ TUCControlsEditor }

procedure TUCControlsEditor.Edit;
begin
  ShowControlsEditor(TUCControls(Component));
end;

procedure TUCControlsEditor.ExecuteVerb(Index: Integer);
begin
  Edit;
end;

function TUCControlsEditor.GetVerb(Index: Integer): String;
begin
  Result := '&Selecionar Componentes...';
end;

function TUCControlsEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

{ TUserControlEditor }

procedure TUserControlEditor.Edit;
begin

end;

procedure TUserControlEditor.ExecuteVerb(Index: Integer);
begin
  Edit;
end;

function TUserControlEditor.GetVerb(Index: Integer): String;
begin
  Result := 'Configurar...';
end;

function TUserControlEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

end.
